mod auth;

use axum::{
    http::{HeaderName, HeaderValue},
    Router,
};
use tower_http::set_header::SetResponseHeaderLayer;

use super::Context;

pub fn router() -> Router<Context> {
    Router::new()
        .nest("/auth", auth::router())
        // https://gpoddernet.readthedocs.io/en/latest/api/reference/general.html#cors
        // All endpoints should send this CORS header value so the endpoints can be used from web
        // applications
        .layer(SetResponseHeaderLayer::overriding(
            HeaderName::from_static("access-control-allow-origin"),
            HeaderValue::from_static("*"),
        ))
}
